Bug 1026813 - [Doc Bug Fix] Describe implementation details of behaviour of servlet startup init method with exception
[Doc Bug Fix] Describe implementation details of behaviour of servlet startup...
Status: CLOSED DEFERRED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: EAP 6.4.0
Assigned To: vthemeli
Russell Dickenson
: Documentation, FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 08:39 EST by Petr Sakař
Modified: 2016-02-15 06:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The behaviour of the server when exceptions are thrown by servlets in their `init()` method or by `ServletContextListener.contextInitialized` is not defined by the Servlet specification and the JBoss EAP Developer Guide does not provide an explanation of JBoss EAP 6 behaves in this situation. The behaviour of JBoss EAP 6 in these situations can be summarized as follows: * If an exception is thrown by the servlet `init()` method, then the application will still be deployed but the servlet will not be available. * If an exception is thrown by `ServletContextListener.contextInitialized` then the deployment will fail. A future version of the JBoss EAP Developer Guide will provide more details.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-08 17:48:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sakař 2013-11-05 08:39:13 EST
Documentation does not describe how server behaves in case of deployment of web application with servlet with init method loaded on startup which throws exception. The behaviour in such situation is not defined by servlet specification and is left up to implementation.

In case od jboss the web application is successfully deployed but the servlet is unavailable.
OTOH exception in ServletContextListener.contextInitialized causes deployment to fail.

Note You need to log in before you can comment on or make changes to this bug.